r51405 - in /trunk/libunicode-map8-perl/debian: changelog repack.local repack.stub watch

jawnsy-guest at users.alioth.debian.org jawnsy-guest at users.alioth.debian.org
Sun Jan 24 06:04:06 UTC 2010


Author: jawnsy-guest
Date: Sun Jan 24 06:03:51 2010
New Revision: 51405

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=51405
Log:
* Drop trailing junk from changelog
* Add repack scripts to handle DFSG-izing

Added:
    trunk/libunicode-map8-perl/debian/repack.local
    trunk/libunicode-map8-perl/debian/repack.stub   (with props)
Modified:
    trunk/libunicode-map8-perl/debian/changelog
    trunk/libunicode-map8-perl/debian/watch

Modified: trunk/libunicode-map8-perl/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libunicode-map8-perl/debian/changelog?rev=51405&op=diff
==============================================================================
--- trunk/libunicode-map8-perl/debian/changelog (original)
+++ trunk/libunicode-map8-perl/debian/changelog Sun Jan 24 06:03:51 2010
@@ -8,10 +8,10 @@
   * Use new debhelper 7 short rules format
   * Remove useless REAME.source, looks mistakenly installed
   * Refresh all quilt patches
+  * Drop trailing junk from changelog
+  * Add repack scripts to handle DFSG-izing
 
   [ gregor herrmann ]
-  TODO: add repack script
-  
   * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
     field (source stanza); Homepage field (source stanza). Removed: XS-
     Vcs-Svn fields.
@@ -35,7 +35,7 @@
   [ Nathan Handler ]
   * debian/watch: Update to ignore development releases.
 
- -- Jonathan Yu <jawnsy at cpan.org>  Sun, 24 Jan 2010 00:48:34 -0500
+ -- Jonathan Yu <jawnsy at cpan.org>  Sun, 24 Jan 2010 01:10:37 -0500
 
 libunicode-map8-perl-dfsg (0.12-3) unstable; urgency=low
 
@@ -152,9 +152,3 @@
   * Initial release.
 
  -- Jaldhar H. Vyas <jaldhar at debian.org>  Mon, 05 Apr 1998 09:27:11 -0500
-
-Local variables:
-mode: debian-changelog
-user-mail-address: "jaldhar at debian.org"
-End:
-

Added: trunk/libunicode-map8-perl/debian/repack.local
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libunicode-map8-perl/debian/repack.local?rev=51405&op=file
==============================================================================
--- trunk/libunicode-map8-perl/debian/repack.local (added)
+++ trunk/libunicode-map8-perl/debian/repack.local Sun Jan 24 06:03:51 2010
@@ -1,0 +1,2 @@
+MANIFEST=1
+rm rfc1345.txt

Added: trunk/libunicode-map8-perl/debian/repack.stub
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libunicode-map8-perl/debian/repack.stub?rev=51405&op=file
==============================================================================
--- trunk/libunicode-map8-perl/debian/repack.stub (added)
+++ trunk/libunicode-map8-perl/debian/repack.stub Sun Jan 24 06:03:51 2010
@@ -1,0 +1,83 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sources under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from http://svn.debian.org/viewsvn/pkg-perl/scripts/repack.sh"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"
+

Propchange: trunk/libunicode-map8-perl/debian/repack.stub
------------------------------------------------------------------------------
    svn:executable = *

Modified: trunk/libunicode-map8-perl/debian/watch
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libunicode-map8-perl/debian/watch?rev=51405&op=diff
==============================================================================
--- trunk/libunicode-map8-perl/debian/watch (original)
+++ trunk/libunicode-map8-perl/debian/watch Sun Jan 24 06:03:51 2010
@@ -1,3 +1,6 @@
-# format version number, currently 3; this line is compulsory!
 version=3
-http://search.cpan.org/dist/Unicode-Map8/   .*/Unicode-Map8-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)
+
+opts=dversionmangle=s/\+dfsg$// \
+	http://search.cpan.org/dist/Unicode-Map8/ \
+	.*/Mail-ListDetector-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip) \
+	debian debian/repack.stub




More information about the Pkg-perl-cvs-commits mailing list